Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178301 - Add support for children reordering
Add support for children reordering
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 178079
  Show dependency treegraph
 
Reported: 2009-12-08 08:01 UTC by Martin Entlicher
Modified: 2010-05-18 09:28 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
ReorderableTreeModel and ReorderableTreeModelFilter introduced. Test included. (30.21 KB, patch)
2009-12-08 10:20 UTC, Martin Entlicher
Details | Diff
A simple API change for Watches reordering. Test included. (7.42 KB, patch)
2009-12-08 10:21 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2009-12-08 08:01:58 UTC
TreeTableView Model should create nodes that have an implementation of o.o.n.Index in their Lookup and thus allowing reorder of child nodes.
This is necessary for Drag and Drop to be able to reorder the children.
Comment 1 Martin Entlicher 2009-12-08 10:20:13 UTC
Created attachment 92291 [details]
ReorderableTreeModel and ReorderableTreeModelFilter introduced. Test included.
Comment 2 Martin Entlicher 2009-12-08 10:21:09 UTC
Created attachment 92292 [details]
A simple API change for Watches reordering. Test included.
Comment 3 Martin Entlicher 2009-12-08 10:28:58 UTC
Please review this API change that adds ability to reorder nodes in debugger views. Together with enhancement #177506 it allows to change order by Drag and Drop.

Two new models are introduced: ReorderableTreeModel and ReorderableTreeModelFilter. Ideas for a nicer name are welcomed.
When ReorderableTreeModel.canReorder() returns true, the created Node contains o.o.nodes.Index in it's Lookup.
Unit test is included.

In order to change order of Watches, a simple API change in DebuggerManager is added - two new methods: createWatch(int index, String expr) and reorderWatches(int[] permutation).
Unit test is also included.
Comment 4 Martin Entlicher 2009-12-14 08:38:21 UTC
Thanks for the review, I'll push the change tomorrow.
Comment 5 Martin Entlicher 2009-12-15 09:56:04 UTC
The APIs added in changeset:   155793:3ed2fed94090 and changeset:   155794:43db124d472c
http://hg.netbeans.org/main/rev/3ed2fed94090
http://hg.netbeans.org/main/rev/43db124d472c
Comment 6 Quality Engineering 2009-12-16 12:14:32 UTC
Integrated into 'main-golden', will be available in build *200912161400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3ed2fed94090
User: mentlicher@netbeans.org
Log: #178301 - Added createWatch(int index, String expr) and reorderWatches(int[] permutation) methods into DebuggerManager
Comment 7 Marian Mirilovic 2010-05-18 09:28:20 UTC
v/c


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo